# Brainstorming to the Table Planner application

_(Note: widely in german =)_


## Ziel

Ein Programm, dass bei der Planung periodisch wiederkehrender Veranstaltungen mit immer ähnlichem Aufbau (Beispiele: Jugendtreffs, Hauskreise, Gottesdienste, Bastelstunden, Pfadfindertreffen) hilft. Das Endergebnis ist eine Tabelle zur Übersicht über alle geplanten Treffen mit anpassbaren Spalten. Diese sollte auch während der Planung sichtbar sein, um durch den besseren Überblick sinnvolle Verteilung bestimmter Ereignisse oder Anpassung an äußere Verhältnisse so einfach wie möglich zu machen. Eine Export-Möglichkeit als ICS-Kalender ist vorgesehen.

Zu den Spalten: hier können die einzelnen Bestandteile mit der jeweiligen Zuständigkeit einer Person hierfür eingetragen werden, oder Anmerkungen usw. gemacht werden. Ziel ist es auch, Vorschläge zu den jeweiligen Themen festlegen zu können, um die Ideenfindung zu erleichtern (oder das Programm "lernt" aus älteren Plänen, ...)

---

## Lösung

- eigenes JSON-basiertes Dateiformat, um Pläne mit Zuständigkeiten und Personen bzw. deren Ausfällen, etc. abzuspeichern
    - dabei gilt: pro Datei: nur ein Plan!
- beim (ersten) Start des Programms: Prompt "Plan anlegen" bzw. "Plan äffnen"
    - evtl. letzten geöffneten Plan merken, mehrere geöffnet? -> möglich, aber ein #ToDo für die Zukunft
- Beim Anlegen eines Projekts: Spalten mit Bezeichner anlegen; Periode der Treffen; Startzeitpunkt
    - In Zukunft #ToDo: nachträgliches Modifizieren der Spalten ermöglichen
- Anschließend: einzelnes Hinzufügen von Themen möglich, oder "Bulk-Hinzufügen" anhand der Periode
    - In Zukunft #ToDo: hierbei automatischer Ausschluss bestimmter Termine möglich (z.B. Ferien); dies sollte importierbar sein (z.B. aus einem Ferienplan im ICS-Format)

---

## Name 

Sollte folgendes beinhalten:

- die tabellarische Planung
- das zyklische der Treffen
- die Veranstaltungen / Treffen an sich

Ideensammlung: 

- Tabellenplaner (ziemlich langweilig)
- Table Planner
- Cyclic Planner
- Turnus Table bzw. Table Turnus
- Turnus

Gewinner:

1.  `Table Turnus` (nicht Turnus Table aufgrund der Ähnlichkeit zu "Turntable")
 
